# Poco::Redis

# class Error

Library: Redis
Package: Redis
Header: Poco/Redis/Error.h

## Description

Represent a Redis error.

## Member Summary

Member Functions: getMessage, setMessage

## Constructors

### Error

Error();

Creates an empty Error.

### Error

Error(
const std::string & message
);

Creates an Error with the given message.

## Destructor

### ~Error

virtual ~Error();

Destroys the Error.

## Member Functions

### getMessage

const std::string & getMessage() const;

Returns the error message.

### setMessage

void setMessage(
const std::string & message
);

Sets the error message.